cURL
curl --request GET \
--url https://api.recoupable.com/api/research/metricsimport requests
url = "https://api.recoupable.com/api/research/metrics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.com/api/research/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/research/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/research/metrics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/research/metrics")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/research/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"result": "success",
"message": "Data Retrieved.",
"stats": [
{
"source": "<string>",
"data": {
"monthly_listeners_current": 99222567,
"followers_total": 112035525,
"popularity_current": 100,
"streams_total": 137582496099,
"playlists_current": 169220,
"charts_current": 184
}
}
],
"artist_info": {
"id": "wjcgfd9i",
"name": "Drake",
"avatar": "<string>",
"site_url": "<string>"
},
"source_ids": [
"<string>"
]
}{
"status": "pending",
"state": "refresh_pending",
"message": "Research metrics refresh is pending. Retry this endpoint shortly."
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Request failed with status 501"
}Metrics & insights
Platform Metrics
Get platform-specific metrics for an artist over time — followers, listeners, views, engagement, and radio airplay. Supports 16 sources.
GET
/
api
/
research
/
metrics
cURL
curl --request GET \
--url https://api.recoupable.com/api/research/metricsimport requests
url = "https://api.recoupable.com/api/research/metrics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.com/api/research/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/research/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/research/metrics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/research/metrics")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/research/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"result": "success",
"message": "Data Retrieved.",
"stats": [
{
"source": "<string>",
"data": {
"monthly_listeners_current": 99222567,
"followers_total": 112035525,
"popularity_current": 100,
"streams_total": 137582496099,
"playlists_current": 169220,
"charts_current": 184
}
}
],
"artist_info": {
"id": "wjcgfd9i",
"name": "Drake",
"avatar": "<string>",
"site_url": "<string>"
},
"source_ids": [
"<string>"
]
}{
"status": "pending",
"state": "refresh_pending",
"message": "Research metrics refresh is pending. Retry this endpoint shortly."
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Request failed with status 501"
}Query Parameters
Artist name. Required unless id is provided.
Platform to get metrics for.
Available options:
spotify, instagram, tiktok, twitter, facebook, youtube_channel, youtube_artist, soundcloud, deezer, twitch, line, melon, wikipedia, bandsintown, radio, sxm Provider artist ID returned by lookup or search. Required unless artist is provided.
Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Example:
"artist_123"
Response
Platform metrics over time
Current statistics for the artist on the requested source.
Was this page helpful?
